Bug 611891 - docs.fp.o does not show the sponsor links [NEEDINFO]
docs.fp.o does not show the sponsor links
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: publican-fedora (Show other bugs)
23
All Linux
low Severity medium
: ---
: ---
Assigned To: Ruediger Landmann
Mike McGrath
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-06 15:16 EDT by eric@christensenplace.us
Modified: 2016-12-20 07:02 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 07:02:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
eric: needinfo? (rlandman)


Attachments (Terms of Use)

  None (edit)
Description eric@christensenplace.us 2010-07-06 15:16:27 EDT
Description of problem: On the main fp.o website you can see the sponsor link.  On docs.fp.o this does not exist.

Additional info:
<mmcgrath> Sparks: hey, I was wonderinf if you could take a moment and work with the websites team to get a sponsors link on docs.fedoraproject.org (like what we have at fedoraproject.org)
<Sparks> mmcgrath: Where are they?
<mmcgrath> we had someone complain they couldn't find their banner but it's not clear exactly where they were looking for it but it dawned on me if we could add it to docs we probably should.
<mmcgrath> http://fedoraproject.org/ see along the left side?
<mmcgrath> it might not be possible in your case because of the build system but I was wondering if you could look into it.
<Sparks> mmcgrath: Ahhh...  Yeah, rudi would have to do that.  
<Sparks> I don't see why it wouldn't be possible.
<Sparks> I'll put in a ticket for rudi to see.
<mmcgrath> thanks
<mmcgrath> Sparks: the tricky thing is you get a different sponsor depending on which hosting provider you actually hit.
<Sparks> how does that happen now?
<mmcgrath> I'd have to look, I'm don't quite remember.
<mmcgrath> I think we have a javascript file that gets linked to at /sponsor, then on the config files we have /sponsor go to /sponsor/bodhost or /sponsor/serverbeach or something
Comment 1 eric@christensenplace.us 2010-10-29 10:44:53 EDT
Any update on this?
Comment 2 Karsten Wade 2011-12-13 22:45:18 EST
Removing myself for these bug components as I'm either no longer involved in that aspect of the project, or no longer care to watch this particular bug. Sorry if you are caught in a maelstrom of bug changes as a result!
Comment 3 Pete Travis 2013-02-25 09:46:26 EST
We discussed this at today's meeting, and are investigating the work required to implement the sponsor banners.
Comment 4 Bryan Sutherland 2013-02-25 12:03:14 EST
I have discussed this with the website team and have the following to report:

* Content on www.fp.o is linked to sponsor.js to load the respective banner based on server location
* Sponsor link is located at /static/js/sponsor.js (Alias /static/js/sponsor.js @DOCUMENTROOT@/static/js/sponsors/$sponsor_name.js)
* Docs content is static (compiled then loaded to each proxy)

As each sponsoring host has it's own proxy, we should be able to link the publican Fedora brand to pull the javascript from the hosting proxy (potentially with an include pointing to the lo interface)

Thanks to shaiton and nirik for helping to flesh this out
Comment 5 Pete Travis 2013-06-17 13:29:36 EDT
Rudi, can we make this work?
Comment 6 Jan Kurik 2015-07-15 11:19:21 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 7 Fedora End Of Life 2016-11-24 05:27:44 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2016-12-20 07:02:59 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.